commit:     c26656f74017cb16c80512cb849a81d698e1b38f
Author:     end222 <pabloorduna98 <AT> gmail <DOT> com>
AuthorDate: Thu Jul  1 21:05:40 2021 +0000
Commit:     Joonas Niilola <juippis <AT> gentoo <DOT> org>
CommitDate: Wed Jul 14 06:25:20 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c26656f7

x11-terms/kitty-terminfo: bump to 0.21.2

Signed-off-by: Pablo Orduna <pabloorduna98 <AT> gmail.com>
Closes: https://github.com/gentoo/gentoo/pull/21504
Signed-off-by: Joonas Niilola <juippis <AT> gentoo.org>

 x11-terms/kitty-terminfo/Manifest                  |  1 +
 .../kitty-terminfo/kitty-terminfo-0.21.2.ebuild    | 41 ++++++++++++++++++++++
 2 files changed, 42 insertions(+)

diff --git a/x11-terms/kitty-terminfo/Manifest 
b/x11-terms/kitty-terminfo/Manifest
index 8a8bf738a61..e1a1774bb2a 100644
--- a/x11-terms/kitty-terminfo/Manifest
+++ b/x11-terms/kitty-terminfo/Manifest
@@ -1,3 +1,4 @@
 DIST kitty-0.19.3.tar.xz 3269628 BLAKE2B 
b3b673f8ad06baf770b03bcee87b2f405e1ff09d0fa5c6a232fd8df651351a428c8fbd9e2d0dc90ed44a0d6632192bea83650388ee73ebc3b523f51e51168006
 SHA512 
d1eea7f909c9492542650a83a149fd279c44380cf10387759f10caad57cd4dbabeac1ce84e8142bfa47266ec2562dfa3766ce08e2aee4d8e0ebacea165f101e4
 DIST kitty-0.20.1.tar.xz 3449932 BLAKE2B 
aed9a250fbc7005cd67fd22bfc33de845bea7e39a5561e6957b744f03a5438945f9739ca7066a93889144a5d0289185f337ef4d487c754cba37f242030f1c46a
 SHA512 
19dfa66eb2a2115877b25fbff0ba7a81071bff00c732236f20342aeb619cca88ae4a4e8ce4e73908ac7d7d12fca5232a76e0167754f2e658af02e442cf5ba0cd
 DIST kitty-0.20.3.tar.xz 3487500 BLAKE2B 
49397ac2aef10e5fc41e351af65050ad510e58915392e6b1b8c022db31f2e5e81ac2cce645468ff213dafb609a30d43934b7388b93227fbbba5af7aa35be74e8
 SHA512 
9e9d81696bcb0d3894c04b08bc52ccf7aaf533125b3ecfb4c894b8d42dbf8511239c49f1c977d81872ce49fc6b3aa8e8c92b9c944bd31fe59fce6e3750295e58
+DIST kitty-0.21.2.tar.xz 4341440 BLAKE2B 
dd97d65ae6eb39b5676cc809d3b5ca48b0fcbbb4bb9cc1d212efeb1b5fb584f61decca9d286fdee6f4512aa4d56e08b3a19be70afa2f0155c8c1815e29fcd7ed
 SHA512 
0ae41dfd61fc70746e8ec2d37c043dea7ceb70205aca056fd156348d4b9a2f6aac520c60de08fb5a3cd9bb908efdd2ad8129bbc01b69e5908f2976e5393269df

diff --git a/x11-terms/kitty-terminfo/kitty-terminfo-0.21.2.ebuild 
b/x11-terms/kitty-terminfo/kitty-terminfo-0.21.2.ebuild
new file mode 100644
index 00000000000..be10def6c28
--- /dev/null
+++ b/x11-terms/kitty-terminfo/kitty-terminfo-0.21.2.ebuild
@@ -0,0 +1,41 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{7,8,9} )
+
+inherit python-any-r1 toolchain-funcs xdg
+
+DESCRIPTION="Terminfo for kitty, an OpenGL-based terminal emulator"
+HOMEPAGE="https://github.com/kovidgoyal/kitty";
+SRC_URI="https://github.com/kovidgoyal/kitty/releases/download/v${PV}/kitty-${PV}.tar.xz";
+S="${WORKDIR}/kitty-${PV}"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="debug"
+
+DEPEND="${PYTHON_DEPS}"
+
+PATCHES=(
+       "${FILESDIR}"/kitty-terminfo-setup-0.20.1.patch
+)
+
+# kitty-terminfo is a split package from kitty that only installs the terminfo
+# file. As tests are designed to be run with the whole package compiled they
+# would fail in this case.
+RESTRICT="test"
+
+src_compile() {
+       "${EPYTHON}" setup.py \
+               --verbose $(usex debug --debug "") \
+               --libdir-name $(get_libdir) \
+               linux-terminfo || die "Failed to compile kitty."
+}
+
+src_install() {
+       insinto /usr
+       doins -r linux-package/*
+}

Reply via email to